about summary refs log tree commit diff homepage
path: root/test/Makefile
diff options
context:
space:
mode:
Diffstat (limited to 'test/Makefile')
-rw-r--r--test/Makefile5
1 files changed, 5 insertions, 0 deletions
diff --git a/test/Makefile b/test/Makefile
index 61a91800..bfdeb16d 100644
--- a/test/Makefile
+++ b/test/Makefile
@@ -49,6 +49,11 @@ LIT_ALL_TESTSUITES := $(LIT_TESTSUITE)
 check-local:: lit.site.cfg
 	$(Verb) ( $(ULIMIT) \
 	          $(PYTHON) $(LLVM_SRC_ROOT)/utils/lit/lit.py $(LIT_ARGS) $(LIT_TESTSUITE) )
+	@klee_last_path=$$(find . -name klee-last | head -1); \
+	 if [ ! -z "$$klee_last_path" ]; then \
+	  echo "error: one of the tests failed to use --output-dir, found: $$klee_last_path"; \
+	  exit 1; \
+	fi
 
 check-local-all:: lit.site.cfg
 	$(Verb) ( $(ULIMIT) \